# Token

A token can be used to communicate with the [Sentiance API](https://developers.sentiance.com/docs/rest).

## Token API

### `getExpiryDate()`

> ```java
> Date getExpiryDate()
> ```
>
> Returns a [`Date`](https://developer.android.com/reference/java/util/Date) object indicating the token expiry date.
>
> The SDK will always attempt to return a valid token, granted proper network connectivity exists to allow token refresh.

### `getTokenId()`

> ```java
> String getTokenId()
> ```
>
> Returns the token ID.

### `isExpired()`

> ```java
> boolean isExpired()
> ```
>
> Returns true if the token is expired.

### `setExpiryDate()`

> ```java
> void setExpiryDate(Date expiryDate)
> ```
>
> Sets the token expiryDate

| Parameters |                                                                                                             |
| ---------- | ----------------------------------------------------------------------------------------------------------- |
| expiryDate | A [`Date`](https://developer.android.com/reference/java/util/Date) object indicating the token expiry date. |

### `setTokenId()`

> ```java
> void setTokenId(String tokenId)
> ```
>
> Sets the token ID.

| Parameters |               |
| ---------- | ------------- |
| tokenId    | The token ID. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/token.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
